org.codehaus.plexus.compiler.util.scan.mapping

## Class SuffixMapping

- java.lang.Object
- - org.codehaus.plexus.compiler.util.scan.mapping.SuffixMapping

- All Implemented Interfaces:
    SourceMapping

      public final class SuffixMapping
      extends Object
      implements SourceMapping

  Version:
    $Id$
  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuffixMapping(String sourceSuffix, Set<String> targetSuffixes)`
    `SuffixMapping(String sourceSuffix, String targetSuffix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<File>` | `getTargetFiles(File targetDir, String source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuffixMapping

          public SuffixMapping(String sourceSuffix,
                       String targetSuffix)

    - #### SuffixMapping

          public SuffixMapping(String sourceSuffix,
                       Set<String> targetSuffixes)

  - ### Method Detail

    - #### getTargetFiles

          public Set<File> getTargetFiles(File targetDir,
                                 String source)

      Specified by:
        `getTargetFiles` in interface `SourceMapping`

Copyright © 2015. All rights reserved.